petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSpaceGetType

Gets the PetscSpace type name (as a string) from the object.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceGetType(PetscSpace sp, PetscSpaceType *name)

Not Collective Many br

### Input Parameter

sp -The PetscSpace Many br

### Output Parameter

name -The PetscSpace type name Many br

Many br

### Keywords

PetscSpace, get, type, name

### See Also

PetscSpaceSetType(), PetscSpaceCreate()

Level:intermediate
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages